summaryrefslogtreecommitdiffstats
path: root/tests
diff options
context:
space:
mode:
authorSami Kerola2019-08-02 20:39:05 +0200
committerSami Kerola2019-08-02 20:39:05 +0200
commit6d56251220954f4937c9fafbcdb427d4aa50d330 (patch)
treefae19fbb136d499e4a7bc1037a86c485847f5d7d /tests
parentdmesg: fix output hex encoding (diff)
downloadkernel-qcow2-util-linux-6d56251220954f4937c9fafbcdb427d4aa50d330.tar.gz
kernel-qcow2-util-linux-6d56251220954f4937c9fafbcdb427d4aa50d330.tar.xz
kernel-qcow2-util-linux-6d56251220954f4937c9fafbcdb427d4aa50d330.zip
mountpoint: add --nofollow option
The no follow option will allow user to distinct mount points from symbolic links pointing to them. Arguably this is pretty pedantic option, mounting a device or bind mount to a directory via symlink does not have or cause any issues. Addresses: https://github.com/karelzak/util-linux/issues/832 Signed-off-by: Sami Kerola <kerolasa@iki.fi>
Diffstat (limited to 'tests')
-rw-r--r--tests/expected/misc/mountpoint9
-rwxr-xr-xtests/ts/misc/mountpoint27
2 files changed, 36 insertions, 0 deletions
diff --git a/tests/expected/misc/mountpoint b/tests/expected/misc/mountpoint
new file mode 100644
index 000000000..e7c20cd25
--- /dev/null
+++ b/tests/expected/misc/mountpoint
@@ -0,0 +1,9 @@
+default
+./symlink-to-root is a mountpoint
+0
+try --nofollow
+./symlink-to-root is not a mountpoint
+1
+mutually exclusive
+mountpoint: --devno and --nofollow are mutually exclusive
+1
diff --git a/tests/ts/misc/mountpoint b/tests/ts/misc/mountpoint
new file mode 100755
index 000000000..0b93a9c36
--- /dev/null
+++ b/tests/ts/misc/mountpoint
@@ -0,0 +1,27 @@
+#!/bin/bash
+
+TS_TOPDIR="${0%/*}/../.."
+TS_DESC="mountpoint"
+
+. $TS_TOPDIR/functions.sh
+ts_init "$*"
+
+ts_check_test_command "$TS_CMD_MOUNTPOINT"
+
+ln -s / ./symlink-to-root
+
+echo "default" >> $TS_OUTPUT 2>&1
+$TS_CMD_MOUNTPOINT ./symlink-to-root >> $TS_OUTPUT 2>&1
+echo $? >> $TS_OUTPUT 2>&1
+
+echo "try --nofollow" >> $TS_OUTPUT 2>&1
+$TS_CMD_MOUNTPOINT --nofollow ./symlink-to-root >> $TS_OUTPUT 2>&1
+echo $? >> $TS_OUTPUT 2>&1
+
+echo "mutually exclusive" >> $TS_OUTPUT 2>&1
+$TS_CMD_MOUNTPOINT --devno --nofollow / >> $TS_OUTPUT 2>&1
+echo $? >> $TS_OUTPUT 2>&1
+
+rm -f ./symlink-to-root
+
+ts_finalize